<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/pascal_util_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv1_p1 { color: #ffffe0; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>08/04/86 pascal_util_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>To obtain information on a particular entry point us the &quot;ep&quot; request
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in pascal_util_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry: establish_on_unit: 08/04/86 pascal_util_$establish_on_unit
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function: establishes one on_unit for the current procedure <span class="textRainbow_lv0_p0">(</span>main or
<span id="L15" class="LineNr"> 15 </span>other<span class="textRainbow_lv0_p0">)</span>.  On_units are used to establish handlers for unusual
<span id="L16" class="LineNr"> 16 </span>occurrences <span class="textRainbow_lv0_p0">(</span>quit<span class="textRainbow_lv0_o0">,</span> program_interrupt<span class="textRainbow_lv0_o0">,</span> overflow<span class="textRainbow_lv0_o0">,</span> pascal_error<span class="textRainbow_lv0_o0">,</span> etc..<span class="textRainbow_lv0_p0">)</span>.
<span id="L17" class="LineNr"> 17 </span>For more information concerning on_units and conditions refer to the
<span id="L18" class="LineNr"> 18 </span>Multics Reference Manual.
<span id="L19" class="LineNr"> 19 </span>  If one on_unit already exists for the given condition, it is
<span id="L20" class="LineNr"> 20 </span>replaced by this one.
<span id="L21" class="LineNr"> 21 </span>  On units can be removed using the pascal_util_$remove_on_unit
<span id="L22" class="LineNr"> 22 </span>procedure, or are automatically removed when the procedure exits.
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Syntax:
<span id="L26" class="LineNr"> 26 </span>          $IMPORT
<span id="L27" class="LineNr"> 27 </span>             'pascal_util_ <span class="textRainbow_lv0_p0">(</span>pascal<span class="textRainbow_lv0_p0">)</span>' : establish_on_unit $
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>          PROCEDURE establish_on_unit
<span id="L30" class="LineNr"> 30 </span>             <span class="textRainbow_lv0_p0">(</span>condition_name : PACKED ARRAY <span class="textRainbow_lv1_p1">[</span>a..b : integer<span class="textRainbow_lv1_p1">]</span> of CHAR;
<span id="L31" class="LineNr"> 31 </span>             PROCEDURE condition_handler<span class="textRainbow_lv0_p0">)</span> ; EXTERNAL :
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>
<span id="L34" class="LineNr"> 34 </span>Parameters:
<span id="L35" class="LineNr"> 35 </span>condition_name
<span id="L36" class="LineNr"> 36 </span>     Is the name of the condition for which an on_unit is established.
<span id="L37" class="LineNr"> 37 </span>   Leading spaces are removed if any, and then all characters after and
<span id="L38" class="LineNr"> 38 </span>   including first space encountered -if any- are removed.
<span id="L39" class="LineNr"> 39 </span>condition_handler
<span id="L40" class="LineNr"> 40 </span>     Is a procedure to be called if this condition occurs.  This
<span id="L41" class="LineNr"> 41 </span>   procedure must be exported or imported but not internal.
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>Examples:
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>   establist_on_unit <span class="textRainbow_lv0_p0">(</span>'program_interrupt'<span class="textRainbow_lv0_o0">,</span> abort_current_request_execution<span class="textRainbow_lv0_p0">)</span> ;
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>   establish_on_unit <span class="textRainbow_lv0_p0">(</span>'cleanup'<span class="textRainbow_lv0_o0">,</span> clean_up_environment<span class="textRainbow_lv0_p0">)</span> ;
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>:Entry: remove_on_unit: 08/04/86 pascal_util_$remove_on_unit
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Function: removes one on_unit in the the current procedure <span class="textRainbow_lv0_p0">(</span>main or
<span id="L55" class="LineNr"> 55 </span>other<span class="textRainbow_lv0_p0">)</span>.  On_units are used to establish handlers for unusual
<span id="L56" class="LineNr"> 56 </span>occurrences <span class="textRainbow_lv0_p0">(</span>quit<span class="textRainbow_lv0_o0">,</span> program_interrupt<span class="textRainbow_lv0_o0">,</span> overflow<span class="textRainbow_lv0_o0">,</span> pascal_error<span class="textRainbow_lv0_o0">,</span> etc..<span class="textRainbow_lv0_p0">)</span>.
<span id="L57" class="LineNr"> 57 </span>For more information concerning on_units and conditions refer to the
<span id="L58" class="LineNr"> 58 </span>Multics Reference Manual.
<span id="L59" class="LineNr"> 59 </span>  It is not an error if no on_unit exists in the current procedure
<span id="L60" class="LineNr"> 60 </span>for the given condition.
<span id="L61" class="LineNr"> 61 </span>  On units can be established using the pascal_util_$establish_on_unit
<span id="L62" class="LineNr"> 62 </span>procedure.
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>Syntax:
<span id="L66" class="LineNr"> 66 </span>          $IMPORT
<span id="L67" class="LineNr"> 67 </span>             'pascal_util_ <span class="textRainbow_lv0_p0">(</span>pascal<span class="textRainbow_lv0_p0">)</span>' : remove_on_unit $
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>          PROCEDURE remove_on_unit
<span id="L70" class="LineNr"> 70 </span>             <span class="textRainbow_lv0_p0">(</span>condition_name : PACKED ARRAY <span class="textRainbow_lv1_p1">[</span>a..b : integer<span class="textRainbow_lv1_p1">]</span> of CHAR<span class="textRainbow_lv0_p0">)</span> ;
<span id="L71" class="LineNr"> 71 </span>             EXTERNAL ;
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>Parameters:
<span id="L75" class="LineNr"> 75 </span>condition_name
<span id="L76" class="LineNr"> 76 </span>      Is the name of the condition for which an on_unit is removed.
<span id="L77" class="LineNr"> 77 </span>   Leading spaces are removed if any, and then all characters after and
<span id="L78" class="LineNr"> 78 </span>   including first space encountered -if any- are removed.
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>Examples:
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>   remove_on_unit <span class="textRainbow_lv0_p0">(</span>'program_interrupt'<span class="textRainbow_lv0_p0">)</span> ;
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>
<span id="L87" class="LineNr"> 87 </span>:Entry: breakall_on: 08/04/86 pascal_util_$breakall_on
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>Function: Sets the given Pascal text file in breakall mode.
<span id="L91" class="LineNr"> 91 </span>   Some screen applications may need to input characters exactly at
<span id="L92" class="LineNr"> 92 </span>the moment when they are typed in.  Since Pascal text input are
<span id="L93" class="LineNr"> 93 </span>normally buffered line by line, you need this procedure to say to
<span id="L94" class="LineNr"> 94 </span>Pascal I/O environment that you want now character by character input.
<span id="L95" class="LineNr"> 95 </span>This procedure sets Pascal input in &quot;unbuffered&quot; mode for this text
<span id="L96" class="LineNr"> 96 </span>file, and attempts to set the terminal in &quot;breakall&quot; mode.  <span class="textRainbow_lv0_p0">(</span>No error
<span id="L97" class="LineNr"> 97 </span>is signalled if the terminal is already in this mode<span class="textRainbow_lv0_o0">,</span> or if this mode
<span id="L98" class="LineNr"> 98 </span>is not accepted<span class="textRainbow_lv0_p0">)</span>.
<span id="L99" class="LineNr"> 99 </span>   If this call has switched your terminal from &quot;^breakall&quot; to
<span id="L100" class="LineNr">100 </span>&quot;breakall&quot; mode, it is switched back to &quot;^breakall&quot; mode when the
<span id="L101" class="LineNr">101 </span>procedure where the file is declared exits or when the procedure
<span id="L102" class="LineNr">102 </span>pascal_util_$breakall_off if called for this file.
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>Syntax:
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>          $IMPORT
<span id="L108" class="LineNr">108 </span>             'pascal_util_ <span class="textRainbow_lv0_p0">(</span>pascal<span class="textRainbow_lv0_p0">)</span> : breakall_on $
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>          PROCEDURE breakall_on
<span id="L111" class="LineNr">111 </span>             <span class="textRainbow_lv0_p0">(</span>VAR text_file : text<span class="textRainbow_lv0_p0">)</span> ; EXTERNAL ;
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Parameters:
<span id="L115" class="LineNr">115 </span>text_file
<span id="L116" class="LineNr">116 </span>   Is the concerned text file. It must be attached but may be open or
<span id="L117" class="LineNr">117 </span>   not.
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Examples:
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>          breakall_on <span class="textRainbow_lv0_p0">(</span>input<span class="textRainbow_lv0_p0">)</span> ;
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>:Entry: breakall_off: 08/04/86 pascal_util_$breakall_off
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>Function: Resets the given Pascal text file in non breakall mode if
<span id="L129" class="LineNr">129 </span>it was put in breakall mode by a previous call to
<span id="L130" class="LineNr">130 </span>pascal_util_$breakall_on <span class="textRainbow_lv0_p0">(</span>otherwise it has no effect<span class="textRainbow_lv0_p0">)</span>.
<span id="L131" class="LineNr">131 </span>   This procedure resets Pascal input in &quot;buffered&quot; mode for this text
<span id="L132" class="LineNr">132 </span>file, and resets the terminal in &quot;breakall&quot; mode if it was switched
<span id="L133" class="LineNr">133 </span>from &quot;^breakall&quot; mode to &quot;breakall&quot; mode by the previous call to
<span id="L134" class="LineNr">134 </span>pascal_util_$breakall_on.
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>Syntax:
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>          $IMPORT
<span id="L140" class="LineNr">140 </span>             'pascal_util_ <span class="textRainbow_lv0_p0">(</span>pascal<span class="textRainbow_lv0_p0">)</span> : breakall_off $
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>          PROCEDURE breakall_off
<span id="L143" class="LineNr">143 </span>             <span class="textRainbow_lv0_p0">(</span>VAR text_file : text<span class="textRainbow_lv0_p0">)</span> ; EXTERNAL ;
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Parameters:
<span id="L147" class="LineNr">147 </span>text_file
<span id="L148" class="LineNr">148 </span>   Is the concerned text_file. It must be attached but may be open or
<span id="L149" class="LineNr">149 </span>   not.
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>Examples:
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>          breakall_off <span class="textRainbow_lv0_p0">(</span>input<span class="textRainbow_lv0_p0">)</span> ;
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
